 <!-- -*- mode: markdown; mode: flyspell -*- -->

## Introduction

AZAT is a small AWK tool that can be used to create Excel like Work
Reports. They contain month summaries, detailed time tables from
months and detailed work description tables. Holiday calculation is
included. The input format a very simple text format.

## Usage

Use `azat -h` to get a list of command line arguments:
```
azat: usage azat [OPTION [..]] <input-file> [..]
      OPTION       .. DESCRIPTION [DEFAULT VALUE]
      -n <NAME>    .. name of the hard working person
      -m <EMAIL>   .. email address of the same person
      -l <LANG>    .. language, currently: en|de
      -d           .. print debug messages
      -D           .. print more debug messages
      -L <PATH>    .. lib path [/usr/lib/azat]
      -o <FILE>    .. output file [-]
      -t <TYPE>    .. type of output file: txt|pdf|ps|tex (default: pdf)
      -S           .. suppress created by azat message
      -h           .. print usage message
      -v           .. print version information
```

# Example

A sample call could be:
```
azat -l de -n "John Doe" -m "worker@no-such-company.com" -o timetable-john-doe.ps 200507.azat 200508.azat 200509.azat 200510.azat 200511.azat 200512.azat 200601.azat 200602.azat 200603.azat 200604.azat 200605.azat
```

Note: This user stores each month in a new file. This is not required but
recommended. You could even create timetables for only some months, but
currently this breaks the holiday calculation.

To get an impression what an azat source code looks like,
take a look at this small azat source:

```
0510	ADDHOLIDAY 10
051003  8:10    16:35
	@moon	eat some cheese
	@google	search for yeti
	@sun	heat up
051003	20:15	22:10
	@tv	watch a film
051004  9:15    17:35
	@server	reinstall system
	@clients format harddrives just for fun
051005	HOLIDAY
051005	CUSTOMSHOULD 4
```

## Input File Format

There are three different line types. Month related commands, day specific
declarations and time range descriptions. All commands exist as english
and german versions. Feel free to ignore one language or mix them up as
you like.

There is only one month related command:

YYMM	ADDHOLIDAY amount
YYMM	URLAUBSTAGE amount
	.. this adds the amount days to the holiday counter at begin of
	   month YYMM

Those are the day specific declarations:

YYMMDD	HOLIDAY
YYMMDD	URLAUB
	.. this delcares the day YYMMDD as holiday, meaning the holiday
	   counter is decreased and the should-time is set to zero

YYMMDD	CUSTOMSHOULD X
YYMMDD	SPEZIALSOLL X
	.. this declares the should-time for the day YYMMDD to be X hours,
	   but does not modifiy the holiday counter.
	   use it if your boss sends you home early and for free :)

YYMMDD	CUSTOMSHOULD X min
YYMMDD	SPEZIALSOLL X min
	.. the same as above, but it uses X as minutes not hours

YYMMDD	PUBLICHOLIDAY
YYMMDD	FEIERTAG
	.. this declares the day YYMMDD to be a public holiday, which
	   sets the should-time to zero while keeping the holiday counter
	   it is actually the same as: YYMMDD CUSTOMSHOULD 0

YYMMDD	HH:MM	HH:MM
	.. this declares a range of time, in that you worked at day YYMMDD.
	   this command may be followed by one or more time range descriptions.

A time range description looks like this:

	@CONTEXT DESCRIPTION TEXT
		 OPTIONAL ADDITIONAL DESCRIPTION TEXT
		 [..]

Replace CONTEXT with the context of the work (do not forget the @, no spaces
are allowed). Description text can be anything. Okay, probably anything that
is nice to the latex stage. The following conversions are done before calling
latex:

```
& -> \\&
_ -> \_
% -> \
" -> ''
```

Additional conversion can easily be hacked into `azat.awk` (function output_month_donetable).

## Logo

Source:
[Wikipedia](https://de.m.wikipedia.org/wiki/Datei:IBM_Stechuhr.jpg),
Author Yannick Trottier, 2006 Modified by Submeir, [Create
Commons](https://creativecommons.org/licenses/by-sa/4.0/deed.de).

<!--  LocalWords:  AZAT AWK azat
 -->
